IP_UNBLOCK_SOURCE(2const)

NAME
IP_UNBLOCK_SOURCE - unblock multicast source

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, IP_UNBLOCK_SOURCE,
               const struct ip_mreq_source *src,
               sizeof(struct ip_mreq_source));

DESCRIPTION
Unblock previously blocked multicast source.

Fails with EADDRNOTAVAIL when given source is not being blocked.

ERRORS
See IPPROTO_IP(2const). See setsockopt(2). See ip(7).

HISTORY
Linux 2.4.22, Linux 2.5.68.

SEE ALSO
IPPROTO_IP(2const), setsockopt(2), ip(7)